=== bccunit/CMakeLists.txt ===
# Copyright (c) 2013 Antonio Valentino <antonio.valentino@tiscali.it>

add_subdirectory(src)
