## epr-api 2.2

=== debian/changelog ===
epr-api (2.2-2) unstable; urgency=low

  * Install images for html docs.
  * Removed build dependency from quilt: it is superfluous with source
    format 3.0.
  * Fixed watch file.
  * Copyright file converted to DEP5 format.
  * Policy bumped to 3.9.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 01 Aug 2011 22:10:36 +0200

epr-api (2.2-1) unstable; urgency=low

  * Initial release (Closes: #606877)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Dec 2010 19:20:43 +0100
