=== debian/control ===
Source: epr-api
Section: libs
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: cdbs, debhelper (>= 7.0.50~), doxygen
Standards-Version: 3.9.2
Homepage: http://github.com/bcdev/epr-api
Vcs-Git: git://git.debian.org/git/pkg-grass/epr-api.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/epr-api.git

Package: libepr-api2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
 * new scientific algorithms developed for the MERIS, AATSR or ASAR
   sensors or even all of them,
 * existing scientific software packages written in C or C++, or COTS
   software systems which allow for extension using a C or C++
   interface.

Package: libepr-api2-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libc6-dev, libepr-api2 (>= ${binary:Version}),
         libepr-api2 (<< ${binary:Version}+1~)
Provides: libepr-api-dev
Conflicts: libepr-api-dev
Description: ENVISAT Product Reader API for C - Development files
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This package contains development files (headers).
