=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk


DEB_MAKE_BUILD_TARGET = all_rel
DEB_MAKE_CLEAN_TARGET = CONFIG=release clean
DEB_MAKE_EXTRA_ARGS   = LDFLAGS="-soname=libepr_api.so.2"


makebuilddir/libepr-api2::
	mkdir -p $(DEB_BUILDDIR)/build/release


build/libepr-api2::
	strip --strip-unneeded $(DEB_BUILDDIR)/build/release/libepr_api.so

build/libepr-api2-dev::
	cd $(DEB_BUILDDIR)/build && ln -sf ../docs/*.html ../docs/*.txt .
	cd $(DEB_BUILDDIR)/build && ln -sf ../docs/images
	mkdir -p $(DEB_BUILDDIR)/build/epr_c_api
	cd $(DEB_BUILDDIR)/build && doxygen Doxyfile.txt


install/libepr-api2::
	install -D --mode=0644 $(DEB_BUILDDIR)/build/release/libepr_api.so $(DEB_DESTDIR)/usr/lib/libepr_api.so.2


install/libepr-api2-dev::
	install -D --mode=0644 $(DEB_SRCDIR)/src/epr_api.h $(DEB_DESTDIR)/usr/include/epr_api.h
	install -D --mode=0644 $(DEB_SRCDIR)/src/epr_ptrarray.h $(DEB_DESTDIR)/usr/include/epr_ptrarray.h


clean::
	rm -rf $(DEB_BUILDDIR)/build


.PHONY: get-orig-source

get-orig-source:
	uscan --force-download --destdir=debian
	mv debian/?.?.tar.gz ../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
