## epr-api 2.3~dev20150708

=== debian/changelog ===
epr-api (2.3~dev20150708-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Update GitHub URLs to use HTTPS.
  * Update watch file to handle common issues.
  * Bump Standards-Version to 3.9.8, no changes.
  * Restructure control file with cme.
  * Enable parallel builds.
  * Enable bindnow hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 00:18:27 +0200

epr-api (2.3~dev20150708-1) unstable; urgency=medium

  * New upstream snapshot
  * Removed embedded javascript libraries (added new dependency
    from libjs-jquery)
  * Updated copyright file
  * HTML docs are no longer compressed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Jul 2015 19:32:53 +0000

epr-api (2.3~dev20140814b-1) unstable; urgency=low

  * New upstream snapshot
  * Standard version bumped to 3.9.6 (no changes)
  * Compat have been set to 9
  * Removed all patches (applied upstream)
  * The -dev package has been renamed from libepr-api2-dev (that
    is now a dummy package) into libepr-api-dev
  * Now the -dev package also provides a static version of the library
  * debian/control
    - the -dev package is now architecture any
    - the -dev package now Depends from libepr-api2 (= ${binary:Version})
      (Closes: #742332)
    - fixed formatting of the package description
    - use canonical URL for VCS fields
    - added build dependency from cmake
    - dropped build dependency from cdbs
  * debian/rules
    - switch from cdbs to dh (debhelper command sequencer)
    - fixed changelog installation (now dh_installchangelog is used)
  * debian/copyright
    - use versioned copyright format uri
    - updated dates in copyright statements
  * Added symbol file

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2015 11:06:38 +0000
