=== debian/control ===
Source: epr-api
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/epr-api.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/epr-api.git
Homepage: https://github.com/bcdev/epr-api

Package: libepr-api2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.

Package: libepr-api-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libepr-api2 (= ${binary:Version}),
         libjs-jquery
Breaks: libepr-api2-dev (<< 2.3~dev20140322-1~)
Provides: libepr-api2-dev
Replaces: libepr-api2-dev (<< 2.3~dev20140322-1~)
Description: ENVISAT Product Reader API for C - Development files
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This package contains development files (headers and static libraries).

Package: libepr-api2-dev
Architecture: all
Section: oldlibs
Depends: libepr-api-dev,
         ${misc:Depends}
Description: ENVISAT Product Reader API for C - Transitional package
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.
 .
 This is a transitional dummy package. It can safely be removed.
