=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

CMAKE_EXTRA_FLAGS += -DBUILD_DOCS:BOOL=ON -DBUILD_TESTS:BOOL=ON


%:
	dh $@ --buildsystem=cmake --builddirectory=build --parallel


override_dh_auto_configure:
	mkdir -p build
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)


override_dh_auto_build:
	dh_auto_build
	rm -f build/docs/epr_c_api/jquery.js


override_dh_compress:
	dh_compress -X.html


override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.txt


get-orig-source:
	uscan --force-download


.PHONY: get-orig-source override_dh_auto_configure override_dh_auto_build \
        override_dh_compress override_dh_installchangelogs
