## epr-api 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 
 # NOTE: only change this when an ABI change happens
-set(EPR_API_SOVERSION 2)
+set(EPR_API_SOVERSION 3)
 
 
 # options
