=== debian/changelog ===
epr-api (2.3-2) unstable; urgency=medium

  * debian/control:
    - Mark libepr-api-dev as "Multi-Arch: same".

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Jan 2026 08:04:24 +0000

epr-api (2.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Move docs from libepr-epi3 to libepr-api-dev,
    mark libepr-epi3 as Multi-Arch: same.

  [ Antonio Valentino ]
  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2026 08:45:34 +0000

epr-api (2.3-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Strip pre-release from symbols version.
  * Drop libepr-api-dev.links.
  * Add to patch to install library in Multi-Arch path.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Update d/copyright.
  * Update d/watch.
  * SOVERSION bump: rename libepr-api2 into libepr-api3.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Jan 2026 19:32:07 +0000

epr-api (2.3~dev20150708-14) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New 0002-CMake-4.0-compat.patch (Closes: #1112873).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 01 Sep 2025 05:39:19 +0000

epr-api (2.3~dev20150708-13) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.

  [ Antonio Valentino ]
  * debian/control:
    - Move common package description to source.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 08:06:45 +0000

epr-api (2.3~dev20150708-12) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * debian/copyright:
    - Fix formatting
    - Update copyright date.
  * New lintian-overrides for generated Doxygen documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 08:37:47 +0000

epr-api (2.3~dev20150708-11) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:18:35 +0000

epr-api (2.3~dev20150708-10) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian/control:
    - set Rules-Requires-Root: no
  * Drop debian/source/lintian-overrides.
  * Add Forwarded field to all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Oct 2020 07:44:39 +0000

epr-api (2.3~dev20150708-9) unstable; urgency=medium

  [ Antonio Valentino ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Bas Couwenberg ]
  * Include libepr_api.so in -dev package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Aug 2019 07:37:25 +0000

epr-api (2.3~dev20150708-8) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols file.

  [ Antonio Valentino ]
  * Fix lintian warnings about file-references-package-build-path.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 14:22:34 +0000

epr-api (2.3~dev20150708-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 16:42:10 +0200

epr-api (2.3~dev20150708-6) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 14:01:55 +0200

epr-api (2.3~dev20150708-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.

  [ Antonio Valentino ]
  * debian/rules
    - remove unnecessary target: get-orig-sources
    - strip trailing whitespaces
  * Strip trailing whitespaces in debian/changelog and debian/control.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jul 2018 10:16:05 +0200

epr-api (2.3~dev20150708-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/copyright
    - fix copyright Format URL (cme)
    - reformat (cme)
  * debian/control
    - drop the libepr-api2-dev tranistional dummy package
  * set compat to 11
  * debian/rules
    - drop override_dh_auto_build in .PHONY
    - remove unnecessary dh arguments (--parallel)
  * debian/patches
    - refresh and renumber all patches
  * Add metadata file.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.3, no changes.
  * Don't use libjs-jquery for Doxygen docs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Mar 2018 08:13:41 +0000

epr-api (2.3~dev20150708-3) unstable; urgency=medium

  * Team upload.
  * Enable PIE hardening buildflags.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Update spelling-errors.patch to fix 'Presence' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 15:50:44 +0200
