=== debian/control ===
Source: epr-api
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian-gis-team/epr-api
Vcs-Git: https://salsa.debian.org/debian-gis-team/epr-api.git
Homepage: https://github.com/bcdev/epr-api
Description: ENVISAT Product Reader API for C
 The ENVISAT Product Reader API is a set of C-source code files
 supporting developers who want to use MERIS, AATSR, and ASAR data
 products of the ESA ENVISAT satellite in their software.
 .
 The main use case for the C API is the ingestion of ENVISAT data into
   * new scientific algorithms developed for the MERIS, AATSR or ASAR
     sensors or even all of them,
   * existing scientific software packages written in C or C++, or COTS
     software systems which allow for extension using a C or C++
     interface.

Package: libepr-api3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libepr-api-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libepr-api3 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} -- Development files
 ${source:Extended-Description}
 .
 This package contains development files (headers and static libraries).
