=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG

CMAKE_EXTRA_FLAGS += -DBUILD_DOCS:BOOL=ON -DBUILD_TESTS:BOOL=ON

include /usr/share/dpkg/pkg-info.mk
UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_compress:
	dh_compress -X.html

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.txt

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
